package com.allinpay.yst2.demo.tx;

import com.allinpay.yst2.demo.util.TxUtils;
import com.allinpay.yst2.demo.vo.BizParameter;
import com.allinpay.yst2.demo.vo.TxResponse;

import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;

/**
 * 【提现申请】
 *
 * @author gejunqing
 * @version 1.0
 * @date 2024/1/11
 */
public class Tx2290Demo extends TxDemo
{
    public static void main(String[] args) throws Exception
    {
        //订单过期时间
        final SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        final Calendar calendar = Calendar.getInstance();
        calendar.add(Calendar.MINUTE, 720);
        final Date date = calendar.getTime();
        final String orderValidTime = sdf.format(date);

        // 组装参数
        BizParameter bizParameter = new BizParameter();
        bizParameter.addParam("signNum", "6260010");//6260010
        bizParameter.addParam("reqTraceNum", "2290"+TxUtils.genReqTraceNum());
        bizParameter.addParam("acctType", 8);//1: 簿记账户（默认）、2：支付账户、4：应用营销账户 5带结算户
      //  bizParameter.addParam("payAcctNo", "529171742166310");//支付账号，2支付账户时必填
        bizParameter.addParam("orderAmount", 3);
        bizParameter.addParam("couponAmount", 1);//平台抽佣金额
        bizParameter.addParam("verifyType", 0);
        bizParameter.addParam("respUrl", "http://test.allinpay.com/open/testNotify");
        bizParameter.addParam("orderValidTime", orderValidTime);
   //     bizParameter.addMapParam("payMode", WITHDRAW_SFT);
        // bizParameter.addParam("receiveAcctType", 1);//入账账户类型，1银行账户，2支付账户，默认1
        bizParameter.addParam("acctNum", "6210261104003846219");//到账账号
        // bizParameter.addParam("withdrawType", "D0");//提现方式
        bizParameter.addParam("summary", "摘要");
     //    bizParameter.addParam("extendParams", "{\"extend\":\"测试\"}");



        // 发送请求
        TxClient txClient = new TxClient(demoConfig);
        TxResponse txResponse = txClient.sendRequest("2290", bizParameter);
        // 打印响应结果
        logger.info(txResponse.getBizData());
    }
}
